Page MenuHomePhabricator
Paste P17267

(An Untitled Masterwork)
ActivePublic

Authored by MoritzMuehlenhoff on Mon, Sep 13, 3:27 PM.
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/srv/deployment/homer/venv-1630056304/lib/python3.9/site-packages/homer/__init__.py", line 300, in _execute
device_config.append(self._renderer.render(device.metadata['role'], device_data))
File "/srv/deployment/homer/venv-1630056304/lib/python3.9/site-packages/homer/templates.py", line 57, in render
return template.render(data)
File "/srv/deployment/homer/venv-1630056304/lib/python3.9/site-packages/jinja2/environment.py", line 1304, in render
self.environment.handle_exception()
File "/srv/deployment/homer/venv-1630056304/lib/python3.9/site-packages/jinja2/environment.py", line 925, in handle_exception
raise rewrite_traceback_stack(source=source)
File "/srv/homer/public/templates/cr.conf", line 14, in top-level template code
{{ section("common", "chassis", 4) }}
File "/srv/deployment/homer/venv-1630056304/lib/python3.9/site-packages/jinja2/runtime.py", line 828, in _invoke
rv = self._func(*arguments)
File "/srv/homer/public/templates/macros/common.conf", line 3, in template
{% include category_name + "/" + section_name + ".conf" %}
File "/srv/homer/public/templates/common/chassis.conf", line 13, in top-level template code
{% for item in netbox.device.inventory | sort(attribute='name') | d([]) -%}
File "/srv/deployment/homer/venv-1630056304/lib/python3.9/site-packages/jinja2/environment.py", line 478, in getattr
return obj[attribute]
File "/srv/deployment/homer/venv-1630056304/lib/python3.9/site-packages/homer/netbox.py", line 48, in __getitem__
raise HomerError('Failed to get key {key}'.format(key=key)) from e
homer.exceptions.HomerError: Failed to get key inventory